<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">
    <include
        android:id="@+id/frame_header"
        layout="@layout/filter_header"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
      >
    </include>
    <LinearLayout
        android:id="@+id/ll_filter"
        android:layout_width="match_parent"
        android:layout_height="80dp">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_type"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/road_shape">

            <TextView
                style="@style/text_style"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="18dp"
                android:layout_marginBottom="5dp"
                android:text="任务状态"
                app:layout_constraintBottom_toTopOf="@+id/tv_type"
                app:layout_constraintStart_toStartOf="@+id/tv_type"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_type"
                style="@style/main_about_text_style"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginBottom="20dp"
                android:text="全部"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/ic_baseline_arrow_forward"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_exclusive"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/road_shape">

            <TextView
                style="@style/text_style"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="18dp"
                android:layout_marginBottom="5dp"
                android:text="任务类型"
                app:layout_constraintBottom_toTopOf="@+id/tv_exclusive"
                app:layout_constraintStart_toStartOf="@+id/tv_exclusive"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_exclusive"
                style="@style/main_about_text_style"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginBottom="20dp"
                android:text="全部"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/ic_baseline_arrow_forward"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>


    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_filter_2"
        android:layout_width="match_parent"
        android:layout_height="80dp">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_photograph"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/road_shape">

            <TextView
                android:id="@+id/textView2"
                style="@style/text_style"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="18dp"
                android:layout_marginBottom="5dp"
                android:text="权限类型"
                app:layout_constraintBottom_toTopOf="@+id/tv_photograph"
                app:layout_constraintStart_toStartOf="@+id/tv_photograph"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_photograph"
                style="@style/main_about_text_style"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginBottom="20dp"
                android:text="全部"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/ic_baseline_arrow_forward"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_number"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/road_shape">

            <TextView
                style="@style/text_style"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="18dp"
                android:layout_marginBottom="5dp"
                android:text="任务个数"
                app:layout_constraintBottom_toTopOf="@+id/tv_number"
                app:layout_constraintStart_toStartOf="@+id/tv_number"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_number"
                style="@style/main_about_text_style"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginBottom="20dp"
                android:text="200"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/ic_baseline_arrow_forward"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </LinearLayout>

    <RelativeLayout
        android:id="@+id/rl_filters"
        android:layout_width="match_parent"
        android:layout_height="80dp"
        android:background="@drawable/road_shape"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/ll_filter">

        <TextView
            android:id="@+id/tv_result"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_margin="20dp"
            android:text="筛选结果"
            android:textSize="20sp" />

        <Button
            android:id="@+id/btn_filter"
            style="@style/user_style"
            android:layout_width="80dp"
            android:layout_height="40dp"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:layout_marginRight="20dp"
            android:gravity="center"
            android:text="地图显示"
            android:textColor="@color/white"
            android:textSize="15sp" />
    </RelativeLayout>

    <com.jcodecraeer.xrecyclerview.XRecyclerView
        android:id="@+id/recycler_filter"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />
</LinearLayout>